[% USE Dumper %]
[% USE JSON %]


<script type="text/ng-template" id="/html/admin/inavigator/casetype.html">
    <div data-ng-show="action&&selectedCasetype">

        <div data-ng-controller="nl.mintlab.core.IsolationController" data-ng-init="collapsed=true" class="inavigator-casetype-settings-item">
            
            <div class="inavigator-casetype-settings-item-header" data-ng-click="collapsed=!collapsed">
                <span class="inavigator-toggle icon-font-awesome" data-ng-class="{'inavigator-toggle-collapsed': collapsed }"></span>
                <span class="inavigator-casetype-settings-item-title">Algemene attributen</span>
            </div>
            <div class="inavigator-casetype-settings-item-content" data-ng-include="'/html/admin/inavigator/general.html'" data-ng-class="{'inavigator-item-collapsed': collapsed }"></div>
        </div>

        <div data-ng-controller="nl.mintlab.core.IsolationController" data-ng-init="collapsed=true;enabled=casetype.documents.length" class="inavigator-casetype-settings-item">
            
            <div class="inavigator-casetype-settings-item-header" data-ng-click="enabled&&(collapsed=!collapsed)" data-ng-class="{'inavigator-item-disabled': !enabled }">
                <span class="inavigator-toggle icon-font-awesome" data-ng-class="{'inavigator-toggle-collapsed': collapsed }"></span>
                <span class="inavigator-casetype-settings-item-title">Zaakdocumenten (<[casetype.documents.length]>)</span>
            </div>
            <div class="inavigator-casetype-settings-item-content" data-ng-if="enabled" data-ng-include="'/html/admin/inavigator/documents.html'" data-ng-class="{'inavigator-item-collapsed': collapsed }"></div>
        </div>

        <div data-ng-controller="nl.mintlab.core.IsolationController" data-ng-init="collapsed=true;enabled=casetype.checklistitems.length" class="inavigator-casetype-settings-item">
            <div class="inavigator-casetype-settings-item-header" data-ng-click="enabled&&(collapsed=!collapsed)" data-ng-class="{'inavigator-item-disabled': !enabled }">
                <span class="inavigator-toggle icon-font-awesome" data-ng-class="{'inavigator-toggle-collapsed': collapsed }"></span>
                <span class="inavigator-casetype-settings-item-title">Checklistitems (<[casetype.checklistitems.length]>)</span>
            </div>
            <div class="inavigator-casetype-settings-item-content" data-ng-if="enabled" data-ng-include="'/html/admin/inavigator/checklistitems.html'" data-ng-class="{'inavigator-item-collapsed': collapsed }"></div>
        </div>

        <div data-ng-controller="nl.mintlab.core.IsolationController" data-ng-init="collapsed=true;enabled=casetype.results.length" class="inavigator-casetype-settings-item">
            <div class="inavigator-casetype-settings-item-header" data-ng-click="enabled&&(collapsed=!collapsed)" data-ng-class="{'inavigator-item-disabled': !enabled }">
                <span class="inavigator-toggle icon-font-awesome" data-ng-class="{'inavigator-toggle-collapsed': collapsed }"></span>
                <span class="inavigator-casetype-settings-item-title">Resultaten (<[casetype.results.length]>)</span>
            </div>
            <div class="inavigator-casetype-settings-item-content inavigator-casetype-settings-item-results" data-ng-if="enabled" data-ng-include="'/html/admin/inavigator/results.html'" data-ng-class="{'inavigator-item-collapsed': collapsed }"></div>
        </div>

    </div>
</script>

<script type="text/ng-template" id="/html/admin/inavigator/general.html">
    <table class="inavigator-casetype-settings-general-table">
        <tr data-ng-repeat="field in generalFields">
            <td class="inavigator-casetype-settings-general-label"><[field.label]></td>
            <td class="inavigator-casetype-settings-general-input">
                <span data-ng-switch="field.type">
                    <select data-ng-switch-when="handelingsinitiator" data-ng-model="casetype.general[field.field]" data-ng-options="item as item | capitalize for item in handelingsinitiators"></select>
                    <input data-ng-switch-when="checkbox" type="checkbox" data-ng-model="casetype.general[field.field]" />
                    <span data-ng-switch-when="title">
                        <input type="checkbox" data-ng-disabled="action==='create'" data-ng-model="casetype.general.modify_title" />
                        <input type="text" data-ng-model="casetype.general[field.field]" data-ng-disabled="!casetype.general.modify_title"/>
                    </span>
                    <textarea data-ng-switch-when="grondslag" data-ng-required="true" data-ng-model="casetype.general[field.field]"></textarea>
                </span>
                <input type="text" data-ng-if="!field.type" data-ng-model="casetype.general[field.field]" />
                <div data-ng-if="field.required&&!casetype.general[field.field]" class="validator invalid validator-inline">
                    <div class="validate-tip"></div>
                    <div class="validate-content rounded"><i class="icon-remove-sign icon-font-awesome"></i>Dit veld is verplicht</div>
                </div>
            </td>
        </tr>
    </table>
</script>

<script type="text/ng-template" id="/html/admin/inavigator/documents.html">
    <table>
        <tr>
            <th></th>
            <th>Titel (in zaaktype)</th>
            <th>Fase</th>
            <th>Bibliotheekkenmerk</th>
            <th>Verplicht</th>
            <th>Publiceren op PIP</th>
            <th>Publiceren op website</th>
        </tr>
        <tr data-ng-repeat="document in casetype.documents">
            <td class="inav-doc-cell-select"><input type="checkbox" data-ng-model="document.enabled" data-ng-checked="document.existingKenmerk" data-ng-disabled="document.existingKenmerk" /></td>
            <td class="inav-doc-cell-medium"><span data-ng-model="document.label"><[document.label]></span>
            <td class="inav-doc-cell-phase">
                <span data-ng-show="document.existingKenmerk"><[document.phase.label]></span>
                 <select data-ng-show="!document.existingKenmerk" data-ng-disabled="!document.enabled" ng-model="document.phase" ng-options="opt as opt.label for opt in statusOptions">
                </select>
            </td>
            <td class="inav-doc-cell-large">
                <span data-ng-if="!document.existingKenmerk && document.phase">
                    <div>
                        <label>
                            <input type="radio" data-ng-model="document.kenmerk_action" value="create" data-ng-disabled="!document.enabled" /> Maak nieuw kenmerk aan in categorie:
                        </label>
                        <span data-ng-class="{'inavigator-attention': document.enabled && document.kenmerk_action === 'create' && !document.bibliotheek_categorie_id}">
                            <select data-ng-model="document.bibliotheek_categorie_id" data-ng-disabled="!document.enabled||document.kenmerk_action!=='create'||!document.phase" data-ng-change="saveCategory(document.bibliotheek_categorie_id)" data-ng-options="category.name for category in existingCategories">
                            </select>
                        </span>
                    </div>
                    <div>
                        <label>
                            <input type="radio" data-ng-model="document.kenmerk_action" value="update" data-ng-disabled="!document.enabled" /> Gebruik bestaand kenmerk:
                        </label>
                        <span data-ng-class="{'inavigator-attention': document.enabled && document.kenmerk_action==='update' && !document.bibliotheek_kenmerken_id}">
                            <select data-ng-disabled="!document.enabled||document.kenmerk_action!=='update'" data-ng-model="document.bibliotheek_kenmerken_id" data-ng-options="kenmerk.naam for kenmerk in existingKenmerken">
                            </select>
                        </select>
                    </div>
                </span>
            </td>
            <td class="inav-doc-cell-small"><input data-ng-model="document.value_mandatory"  data-ng-disabled="!document.enabled&&!document.existingKenmerk" type="checkbox" disabled-data-ng-checked="document.value_mandatory&&matches.length===0"></td>
            <td class="inav-doc-cell-small"><input data-ng-model="document.publish_pip"  data-ng-disabled="!document.enabled&&!document.existingKenmerk" type="checkbox"></td>
            <td class="inav-doc-cell-small"><input data-ng-model="document.publish_website"  data-ng-disabled="!document.enabled&&!document.existingKenmerk" type="checkbox"></td>
        </tr>
    </table>
</script>



<script type="text/ng-template" id="/html/admin/inavigator/checklistitems.html">
    <table>
        <tr>
            <th></th>
            <th data-ng-repeat="field in checklistFields | filter:{type:'!hidden'}"><[field.label]></th>
            <th>Fase</th>
        </tr>
        <tr data-ng-repeat="checklistitem in casetype.checklistitems">
            <td><input type="checkbox" data-ng-model="checklistitem.enabled" data-ng-checked="checklistitem.existing" data-ng-disabled="checklistitem.existing" /></td>
            <td data-ng-repeat="field in checklistFields" data-ng-if="field.type!=='hidden'">
                <span><[checklistitem[field.field]]></span>
            <td>
                <span data-ng-show="checklistitem.existing"><[checklistitem.phase.label]></span>
                 <select data-ng-show="!checklistitem.existing" data-ng-disabled="!checklistitem.enabled" data-ng-model="checklistitem.phase" ng-options="opt as opt.label for opt in statusOptions | filter:{value:'!1'}">
                </select>
            </td>
        </tr>
    </table>
</script>



<script type="text/ng-template" id="/html/admin/inavigator/results.html">
    <table>
        <tr>
            <th></th>
            <th>Resultaat</th>
            <th data-ng-repeat="field in resultFields | filter:{type:'!hidden'}"><[field.label]></th>
        </tr>
        <tr data-ng-repeat="result in casetype.results">
            <td><input type="checkbox" data-ng-disabled="result.existingResult" data-ng-model="result.enabled" /></td>
            <td><[result.inavigatorResult]></td>
            <td data-ng-repeat="field in resultFields | filter:{type:'!hidden'}" class="inav-result-<[field.field]>">
                <span data-ng-switch on="field.type">
                    <select data-ng-switch-when="resultaattype"
                      disabled-data-ng-if="!result.zaaksysteemResultaattypeFound"
                      ng-model="result.resultaat"
                      data-ng-disabled="!result.enabled"
                      data-ng-options="item as item | capitalize for item in resultTypes">
                    </select>

                    <select
                    data-ng-switch-when="archiefnominatie"
                      data-ng-model="result.archiefnominatie"
                      data-ng-disabled="!result.enabled"
                      data-ng-options="key as key | capitalize for (key, value) in archiefnominatieOptions track by archiefnominatieOptions[key.toLower()]">
                    </select>
                    <select
                    data-ng-switch-when="bewaartermijn"
                      data-ng-model="result.bewaartermijn"
                      data-ng-disabled="!result.enabled"
                      data-ng-options="bewaartermijnOptions[key] for key in bewaartermijnKeys track by bewaartermijnOptions[key]">
                    </select>

                    <input data-ng-switch-default
                      data-ng-model="result[field.field]"
                      data-ng-disabled="!result.enabled"
                      type="text"
                      />
                </span>
            </td>
        </tr>
    </table>
</script>


<script type="text/ng-template" id="/html/admin/inavigator/preview-popup.html">
    <div data-zs-modal class="flexpaper-modal" data-ng-init="title='I-Navigator import'">
        <div data-ng-controller="nl.mintlab.admin.INavigatorPreviewController" data-ng-init="init()">
        <div class="inavigator-review">
            <span data-ng-if="action==='update'" class="inavigator-review-intro">
                Het zaaktype <strong>"<[selectedCasetype.node.titel]>"</strong> zal worden bijgewerkt.
            </span>
            <span data-ng-if="action==='create'" class="inavigator-review-intro">
                Er wordt een nieuw zaaktype <strong>"<[casetype.general['node.titel']]>"</strong> aangemaakt op basis van sjabloonzaaktype <strong><[selectedCasetype.node.titel]></strong>.
            </span>


            <button data-ng-disabled="loading" data-ng-click="importCasetype($event)" class="button button-primary">
                <span data-ng-show="loading">Bezig met importeren</span>
                    <span data-ng-show="!loading">Akkoord</span></button>
            <button data-ng-click="closePopup()" class="button button-secondary">Annuleren</button>
    </div>
</script>


<div class="inavigator-casetype" data-ng-controller="nl.mintlab.admin.INavigatorController" data-zs-popup="'/html/admin/inavigator/preview-popup.html'" data-ng-init="collapsed=true;init('[% code %]')">

    <div class="inavigator-casetype-header import-panel ng-cloak" data-ng-click="toggleCasetype()" data-ng-class="{'inavigator-error': !validate()}">

        <i class="inavigator-toggle icon-font-awesome" data-ng-class="{'inavigator-toggle-collapsed': collapsed }"></i>

        <div class="inavigator-casetype-header-title import-panel-title"><[casetype.general['node.titel']]></div>

        

        <div class="inavigator-casetype-header-meta import-panel-meta">

            <span data-ng-show="matches.length===0">Nieuw zaaktype op basis van zaaktype-sjabloon: <input type="text" data-ng-model="templateCasetype" data-zs-placeholder="'Zoek een zaaktype'" data-zs-spot-enlighter data-zs-spot-enlighter-restrict="'casetype'" data-zs-spot-enlighter-label="searchable_object_label"/></span>
            <span data-ng-show="matches.length===1">Bestaand zaaktype '<[matches[0].name]>' bijwerken</span>
            <span data-ng-show="matches.length>1">Bestaand zaaktype bijwerken: <select data-ng-model="selectedCasetypeId" data-ng-change="setSelectedCasetype()">
                <option ng-repeat="entry in matches" value="<[entry.id]>" data-ng-selected="entry.id==selectedCasetypeId"><[entry.name]></option>
            </select></span>
            <span data-ng-show="imported" style="float:right;"><i class="icon-font-awesome icon-ok"></i> <strong>Ge&iuml;mporteerd</strong></span>
        </div>
        <div class="inavigator-button-group">
            <button class="button button-secondary button-smaller" data-ng-controller="nl.mintlab.admin.INavigatorSettingsController" data-ng-click="$event.stopPropagation()" data-zs-confirm="restoreDefaultSettings()" data-zs-confirm-verb="Bevestigen" data-zs-confirm-label="Weet u het zeker?"/>Instellingen herstellen</button>
            <button data-ng-disabled="!validate()" data-ng-click="openPreview($event)" class="button button-secondary button-smaller">Importeren</button>
        </div>
    </div>

    <div data-ng-class="{'inavigator-item-collapsed': collapsed }" data-ng-include="'/html/admin/inavigator/casetype.html'" class="inavigator-casetype-settings"></div>
</div>
